import { BuilderContextInterface } from "../../context/types.js";
import { BuilderBlock } from "../../types/builder-block";
type Props = {
    block: BuilderBlock;
    repeatContext: BuilderContextInterface;
};
/**
 * We can't make this a generic `ProvideContext` function because Vue 2 won't support root slots, e.g.
 *
 * ```vue
 * <template>
 *  <slot></slot>
 * </template>
 * ```
 */
export declare const RenderRepeatedBlock: import("@builder.io/qwik").Component<Props>;
export default RenderRepeatedBlock;
