import { BuilderRenderState } from "../../context/types.js";
import { Breakpoints, BuilderContent } from "../../types/builder-content.js";
import { RenderContentProps } from "./render-content.types.js";
export declare const mergeNewContent: (props: any, state: any, elementRef: any, newContent: BuilderContent) => void;
export declare const setBreakpoints: (props: any, state: any, elementRef: any, breakpoints: Breakpoints) => void;
export declare const setContextState: (props: any, state: any, elementRef: any, newState: BuilderRenderState) => void;
export declare const processMessage: (props: any, state: any, elementRef: any, event: MessageEvent) => void;
export declare const evaluateJsCode: (props: any, state: any, elementRef: any) => void;
export declare const onClick: (props: any, state: any, elementRef: any, event: any) => void;
export declare const evalExpression: (props: any, state: any, elementRef: any, expression: string) => string;
export declare const handleRequest: (props: any, state: any, elementRef: any, { url, key, }: {
    key: string;
    url: string;
}) => void;
export declare const runHttpRequests: (props: any, state: any, elementRef: any) => void;
export declare const emitStateUpdate: (props: any, state: any, elementRef: any) => void;
export declare const RenderContent: import("@builder.io/qwik").Component<RenderContentProps>;
export default RenderContent;
